opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
cv::MatOp Class Referenceabstract

`#include <mat.hpp>`

## Public Member Functions
virtual void | abs (const MatExpr &expr, MatExpr &res) const
virtual void | add (const MatExpr &expr1, const MatExpr &expr2, MatExpr &res) const
virtual void | add (const MatExpr &expr1, const Scalar &s, MatExpr &res) const
virtual void | assign (const MatExpr &expr, Mat &m, int type=-1) const =0
virtual void | augAssignAdd (const MatExpr &expr, Mat &m) const
virtual void | augAssignAnd (const MatExpr &expr, Mat &m) const
virtual void | augAssignDivide (const MatExpr &expr, Mat &m) const
virtual void | augAssignMultiply (const MatExpr &expr, Mat &m) const
virtual void | augAssignOr (const MatExpr &expr, Mat &m) const
virtual void | augAssignSubtract (const MatExpr &expr, Mat &m) const
virtual void | augAssignXor (const MatExpr &expr, Mat &m) const
virtual void | diag (const MatExpr &expr, int d, MatExpr &res) const
virtual void | divide (const MatExpr &expr1, const MatExpr &expr2, MatExpr &res, double scale=1) const
virtual void | divide (double s, const MatExpr &expr, MatExpr &res) const
virtual bool | elementWise (const MatExpr &expr) const
virtual void | invert (const MatExpr &expr, int method, MatExpr &res) const
virtual void | matmul (const MatExpr &expr1, const MatExpr &expr2, MatExpr &res) const
| MatOp ()
virtual void | multiply (const MatExpr &expr1, const MatExpr &expr2, MatExpr &res, double scale=1) const
virtual void | multiply (const MatExpr &expr1, double s, MatExpr &res) const
virtual void | roi (const MatExpr &expr, const Range &rowRange, const Range &colRange, MatExpr &res) const
virtual void | subtract (const MatExpr &expr1, const MatExpr &expr2, MatExpr &res) const
virtual void | subtract (const Scalar &s, const MatExpr &expr, MatExpr &res) const
virtual void | transpose (const MatExpr &expr, MatExpr &res) const
virtual | ~MatOp ()

## Constructor & Destructor Documentation

cv::MatOp::MatOp | ( |  | ) |
| inline

virtual cv::MatOp::~MatOp | ( |  | ) |
| inline virtual

## Member Function Documentation

virtual void cv::MatOp::abs | ( | const MatExpr & | expr,
|  | MatExpr & | res
| ) |  | const
| virtual

virtual void cv::MatOp::add | ( | const MatExpr & | expr1,
|  | const MatExpr & | expr2,
|  | MatExpr & | res
| ) |  | const
| virtual

virtual void cv::MatOp::add | ( | const MatExpr & | expr1,
|  | const Scalar & | s,
|  | MatExpr & | res
| ) |  | const
| virtual

virtual void cv::MatOp::assign | ( | const MatExpr & | expr,
|  | Mat & | m,
|  | int | type = `-1`
| ) |  | const
| pure virtual

virtual void cv::MatOp::augAssignAdd | ( | const MatExpr & | expr,
|  | Mat & | m
| ) |  | const
| virtual

virtual void cv::MatOp::augAssignAnd | ( | const MatExpr & | expr,
|  | Mat & | m
| ) |  | const
| virtual

virtual void cv::MatOp::augAssignDivide | ( | const MatExpr & | expr,
|  | Mat & | m
| ) |  | const
| virtual

virtual void cv::MatOp::augAssignMultiply | ( | const MatExpr & | expr,
|  | Mat & | m
| ) |  | const
| virtual

virtual void cv::MatOp::augAssignOr | ( | const MatExpr & | expr,
|  | Mat & | m
| ) |  | const
| virtual

virtual void cv::MatOp::augAssignSubtract | ( | const MatExpr & | expr,
|  | Mat & | m
| ) |  | const
| virtual

virtual void cv::MatOp::augAssignXor | ( | const MatExpr & | expr,
|  | Mat & | m
| ) |  | const
| virtual

virtual void cv::MatOp::diag | ( | const MatExpr & | expr,
|  | int | d,
|  | MatExpr & | res
| ) |  | const
| virtual

virtual void cv::MatOp::divide | ( | const MatExpr & | expr1,
|  | const MatExpr & | expr2,
|  | MatExpr & | res,
|  | double | scale = `1`
| ) |  | const
| virtual

virtual void cv::MatOp::divide | ( | double | s,
|  | const MatExpr & | expr,
|  | MatExpr & | res
| ) |  | const
| virtual

virtual bool cv::MatOp::elementWise | ( | const MatExpr & | expr | ) | const
| virtual

virtual void cv::MatOp::invert | ( | const MatExpr & | expr,
|  | int | method,
|  | MatExpr & | res
| ) |  | const
| virtual

virtual void cv::MatOp::matmul | ( | const MatExpr & | expr1,
|  | const MatExpr & | expr2,
|  | MatExpr & | res
| ) |  | const
| virtual

virtual void cv::MatOp::multiply | ( | const MatExpr & | expr1,
|  | const MatExpr & | expr2,
|  | MatExpr & | res,
|  | double | scale = `1`
| ) |  | const
| virtual

virtual void cv::MatOp::multiply | ( | const MatExpr & | expr1,
|  | double | s,
|  | MatExpr & | res
| ) |  | const
| virtual

virtual void cv::MatOp::roi | ( | const MatExpr & | expr,
|  | const Range & | rowRange,
|  | const Range & | colRange,
|  | MatExpr & | res
| ) |  | const
| virtual

virtual void cv::MatOp::subtract | ( | const MatExpr & | expr1,
|  | const MatExpr & | expr2,
|  | MatExpr & | res
| ) |  | const
| virtual

virtual void cv::MatOp::subtract | ( | const Scalar & | s,
|  | const MatExpr & | expr,
|  | MatExpr & | res
| ) |  | const
| virtual

virtual void cv::MatOp::transpose | ( | const MatExpr & | expr,
|  | MatExpr & | res
| ) |  | const
| virtual

The documentation for this class was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/mat.hpp